import { JavaObject } from '../../../java/lang/JavaObject';
export declare class SchuelerSchulbesuchMerkmal extends JavaObject {
    id: number;
    datumVon: String | null;
    datumBis: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuelerSchulbesuchMerkmal;
    static transpilerToJSON(obj: SchuelerSchulbesuchMerkmal): string;
    static transpilerToJSONPatch(obj: Partial<SchuelerSchulbesuchMerkmal>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schueler_SchuelerSchulbesuchMerkmal(obj: unknown): SchuelerSchulbesuchMerkmal;
